#! /bin/sh

cd `dirname $0`

list=`ls`
echo >.types.dic
titlist=
for i in *
do
 tit=`awk -F= 'NF>=2 && $1=="title" {print $2; exit}' $i`
 echo "$i:$tit" >>.types.dic
 titlist="$titlist$tit
"
done

echo "$titlist" >tmp1
echo "$list" >tmp2
llist=`paste tmp1 tmp2 | sort -f`
list=`echo "$llist" | awk -F'\11' 'length()>2 {print $2}' | tr '\n' ','`
titlist=`echo "$llist" | awk -F'\11' 'length()>2 {print $1}' | tr '\n' ','`

cat >.index <<@
!set exolist  =!char 1 to -2 of $list
!set titlelist=!char 1 to -2 of $titlist
!set exototal =!itemcnt \$exolist

@

rm -f tmp1 tmp2

